Dropping Support for iOS 10.0 and below

Page 1 of 2 (24 items) 1 2 Next >
This post has 23 Replies | 1 Follower

Posts 192
LogosEmployee
Daniel Di Bartolo (Faithlife) | Forum Activity | Posted: Wed, Nov 15 2017 10:50 AM

Hello everyone,

With the upcoming release of an updated Logos Bible app, we'll be dropping support for devices that are running iOS 10.0 and below. The vast majority of Logos users are running devices with 10.1 above, so chances are you won't be impacted. 

For those that are running Logos on your 10.0 or below device, you will still be able to use Logos. However, it's unsupported, which means that if you delete it off of your device, you won't be able to get it back. Its performance will degrade over time, and some features may stop working. 

Posts 10106
Denise | Forum Activity | Replied: Wed, Nov 15 2017 4:22 PM

Well, the vast majority (99% of 51%) will have to proceed forward without me. Logos apps are well known for re-install or in this case, not.

Luckily we're not talking religious software. And luckily my other 150 secular apps are still getting  updates along with my Kindles. It's amazing (yes, familiar with Apple's go forward update ideas).


Posts 27542
Forum MVP
JT (alabama24) | Forum Activity | Replied: Wed, Nov 15 2017 10:05 PM

Out of curiosity Denise, is your device so old that it can't update, or do you just not want to update? What version of iOS are you running? 

OSX & iOS | Logs |  Install

Posts 2041
GaoLu | Forum Activity | Replied: Thu, Nov 16 2017 3:34 AM

I have a couple older V9 devices.  One I use for a bedroom clock.  The other I use for blue tooth speaker receiver.  So I don't use Logos on them anyway and if I did it would be so doggy, good grief!  I would just pick up a new device and actually use it.  But that is just me.

Posts 301
Bernhard | Forum Activity | Replied: Thu, Nov 16 2017 3:58 AM

Daniel Di Bartolo:
However, it's unsupported, which means that if you delete it off of your device, you won't be able to get it back.

My experience is that Apple usually allows older devices to download an older version of the app (but only if you have bought it before or from a device with the newer OS). Is that not the case for all apps? 

Posts 10106
Denise | Forum Activity | Replied: Thu, Nov 16 2017 4:12 AM

alabama24:

Out of curiosity Denise, is your device so old that it can't update, or do you just not want to update? What version of iOS are you running? 

Yes, mine's pretty old ... 3 yrs or so. Though if I got a newer one, I suspect it wouldn't survive ios11.

But I was surprised at Logos out the gate dumping so quickly ... Logos is always pushing people to embrace Amazon.  And maybe that's the answer. I have 5 Kindle installations, all happily maintained.


Posts 27542
Forum MVP
JT (alabama24) | Forum Activity | Replied: Thu, Nov 16 2017 8:07 AM

Denise:
Yes, mine's pretty old ... 3 yrs or so.

...then it should be able to run either iOS 10.1.x or iOS 11.x.x. Is there a reason you are hesitant to update? 

OSX & iOS | Logs |  Install

Posts 4621
Forum MVP
Mike Binks | Forum Activity | Replied: Thu, Nov 16 2017 11:00 AM

alabama24:

Denise:
Yes, mine's pretty old ... 3 yrs or so.

...then it should be able to run either iOS 10.1.x or iOS 11.x.x. Is there a reason you are hesitant to update? 

According to my (hasty and incomplete) research the iPad Air version one (Nov 2013) is the oldest iPad able to run iOS 11.

I must confess bemusement at buying into the Apple system and then ignoring one of its major selling points - reliable, free, security updates and system upgrades. You pay a premium for a safe system and then deliberately undermine that system.

Why not save your money and go with Android whose users are upgrade adverse according to to the received wisdom.  :-)

Posts 2041
GaoLu | Forum Activity | Replied: Thu, Nov 16 2017 2:56 PM

My iPhone 4s no longer updates and its not all that old.  I have 2 iPads that wont either.  All three are maybe 4-5 years old?

Posts 27542
Forum MVP
JT (alabama24) | Forum Activity | Replied: Thu, Nov 16 2017 3:03 PM

The iPhone 4s is 6 years old. I assume your iPads are that old as well. 

OSX & iOS | Logs |  Install

Posts 10106
Denise | Forum Activity | Replied: Thu, Nov 16 2017 4:46 PM

alabama24:

Denise:
Yes, mine's pretty old ... 3 yrs or so.

...then it should be able to run either iOS 10.1.x or iOS 11.x.x. Is there a reason you are hesitant to update? 

3 yrs for me ... the mini3. But I doubt even the mini4 will survive ios11. I have a $1k purchase coming up with Logos ... I'll have to think about the app blowing up. I'm still waiting on Apple to formally ditch the mini.

Regarding my Accordance and OT, I never worry ... solid as rocks. Logos shrugs at poor coding (but not like Atlas shrugs; big difference).


Posts 3189
Forum MVP
PetahChristian | Forum Activity | Replied: Thu, Nov 16 2017 5:07 PM

Denise:
3 yrs for me ... the mini3. But I doubt even the mini4 will survive ios11.

In my experience, even if an older device can be upgraded, they eventually just don't have enough processing power or memory to keep up with the latest features -- everything tended to become sluggish at some point.

I've got a pre-Air iPad (which can only run iOS 9), but some stable version of Logos still runs on it, which is good enough for simply reading. While it may have vulnerabilities which have been patched in newer versions of iOS, I can't afford to buy resources AND also replace devices every few years.

Posts 5248
Dan Francis | Forum Activity | Replied: Fri, Nov 17 2017 10:29 AM

I have had many apple iOS devices and have never had one yet become unusable after an iOS update. Apple stops support of models when they cannot handle a new iOS... also poor performance is sometimes because they are bloated too full of stuff my iPhone 6 was being some what unresponsive on iOS 10.3.3 but when i deleted some music allowing more space on the phone i found performance was fine. I have kept my phone from updating to 11 because it irks me that I will lose my Merriam-Webster Unabridged Dictionary (since it is not 11 compatible). But I suspect it would run fine on 11. Until its battery finally went my iPhone 3gs functioned great with it's highest available iOS...

-dan

Posts 460
Nord Zootman | Forum Activity | Replied: Fri, Nov 17 2017 11:52 AM

I am running the LOGOS app on on a Mini 2 with IOS 11.1.1 and have not experienced any issues at all.

Posts 4
Peter Osborn | Forum Activity | Replied: Tue, Nov 28 2017 8:23 AM

Would you be able to add me to the iPhone X beta?

Peter

Posts 236
Mikko Paavola | Forum Activity | Replied: Tue, Nov 28 2017 9:06 AM

Daniel Di Bartolo:

For those that are running Logos on your 10.0 or below device, you will still be able to use Logos. However, it's unsupported, which means that if you delete it off of your device, you won't be able to get it back. Its performance will degrade over time, and some features may stop working. 

Hi!
You can always install the latest version that works with your iOS device from AppStore. Just go to Updates -> Your purchased apps (not sure what's the name in the English AppStore, I'm using different language version), find the right app and press the cloud icon. The device tells you that the latest version won't work in it and asks if you want to install an older version. That's for every app that are available in the AppStore and that you've installed before in the same AppleID account (the same or some other device).

Faithlife Connect + several Base Packages + Luther's Works, etc.
Lenovo ThinkPad Yoga 260, Win 10 Pro, Intel Core i7-6500U, 16GB RAM, 256GB SSD, Intel HD Graphics 520.
iPhone 7 Plus.

Posts 52
Eduardo Espiritu | Forum Activity | Replied: Tue, Nov 28 2017 9:20 AM

Apple won’t update the older iPad mini unless it has more than the minimum memory. 

Posts 27542
Forum MVP
JT (alabama24) | Forum Activity | Replied: Tue, Nov 28 2017 10:50 AM

Ed Espiritu:
Apple won’t update the older iPad mini unless it has more than the minimum memory. 

?

OSX & iOS | Logs |  Install

Posts 52
Eduardo Espiritu | Forum Activity | Replied: Wed, Nov 29 2017 9:59 AM

m

My 32G ipad updates; this 16G one says 9.3 is up to date.

Posts 13341
Forum MVP
Mark Barnes | Forum Activity | Replied: Wed, Nov 29 2017 10:25 AM

Ed Espiritu:
My 32G ipad updates; this 16G one says 9.3 is up to date.

Can you not update it through iTunes on your Mac/PC?

Page 1 of 2 (24 items) 1 2 Next > | RSS